Bug 1309785 - Missing texlive components: mathdesign.sty texnansi.sty vmargin.sty
Missing texlive components: mathdesign.sty texnansi.sty vmargin.sty
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: texlive-extension (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 11:49 EST by Mattias Ellert
Modified: 2017-02-03 14:18 EST (History)
2 users (show)

See Also:
Fixed In Version: texlive-extension-2012-43.el7 texlive-extension-2012-50.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-03 14:18:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2016-02-18 11:49:21 EST
Description of problem:

Error: No Package found for tex(mathdesign.sty)
Error: No Package found for tex(texnansi.sty)
Error: No Package found for tex(vmargin.sty)

Version-Release number of selected component (if applicable):

texlive-extension-2012-5.el7

How reproducible:

Always

Additional info:

In Fedora 23 these are provided by

$ rpm -q --whatprovides 'tex(mathdesign.sty)' 'tex(texnansi.sty)' 'tex(vmargin.sty)'
texlive-mathdesign-svn31639.2.31-19.fc23.noarch
texlive-ly1-svn21086.0-19.fc23.noarch
texlive-vmargin-svn15878.2.5-19.fc23.noarch
Comment 1 Ngo Than 2016-06-09 08:09:44 EDT
it's now on my todo list and. I will start to work on it next week.
Thanks for the report.
Comment 2 Ngo Than 2016-10-19 11:00:03 EDT
it's fixed in texlive-extension-2012-43.el7

http://koji.fedoraproject.org/koji/taskinfo?taskID=16124743
Comment 3 Ngo Than 2016-10-20 04:29:27 EDT
there's the lastest build
http://koji.fedoraproject.org/koji/taskinfo?taskID=16124895
Comment 4 Mattias Ellert 2016-10-28 07:19:31 EDT
You have added the vmargin and mathdesign packages.

The vmargin package looks fine.

However, the mathdesign package is missing a dependency on tex(texnansi.enc) -- see the changelog for Fedora's texlive package:

add Requires: tex(texnansi.enc) to texlive-mathdesign (bz1309837)

So when I try to use mathdesign from the above update I get:

LaTeX errors:
!pdfTeX error: pdflatex (file texnansi.enc): cannot open encoding file for reading

The package that provides this missing dependency tex(texnansi.enc) is texlive-ly1, which is also missing in EPEL 7.
Comment 5 Mattias Ellert 2016-11-30 15:26:35 EST
The fix for this issue is still incomplete in the latest version:
texlive-extension-2012-46.el7

The texlive-mathdesign-svn24173.1.55-46.el7.noarch package is lacking the requires on tex(texnansi.enc):

$ rpm -q --requires texlive-mathdesign
texlive-base
texlive-kpathsea-bin
tex-kpathsea
texlive-tetex-bin
tex-tetex
texlive-tetex-bin
tex-tetex
tex-hyphen-base
texlive-base
tex(keyval.sty)
tex(ifthen.sty)
tex(fontenc.sty)
/bin/sh
/bin/sh
/bin/sh
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

Compare the requires on Fedora 25:

$ rpm -q --requires texlive-mathdesign
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
tex(fontenc.sty)
tex(ifthen.sty)
tex(keyval.sty)
tex(texnansi.enc)
tex(xkeyval.sty)
tex-kpathsea
tex-tetex
texlive-base
texlive-kpathsea-bin
texlive-tetex-bin

The package providing tex(texnansi.enc), i.e. texlive-ly1, is also missing from EPEL 7 and needs to be added to texlive-extension in order to make texlive-mathdesign usable.
Comment 6 Ngo Than 2016-12-22 07:21:25 EST
it's fixed in texlive-extension-2012-47.el7, i will build it today. Thanks for you repport
Comment 7 Ngo Than 2016-12-22 09:16:33 EST
could you please try the scratch build and give me the feedback?
https://koji.fedoraproject.org/koji/taskinfo?taskID=17027334


Thanks
Comment 8 Mattias Ellert 2016-12-23 04:21:00 EST
One of the provides in the -ly1 package somehow turned into a requires instead:

$ rpm -qlp ~/tl/texlive-ly1-svn21086.0-47.el7.noarch.rpm | grep texnansi
/usr/share/texlive/texmf-dist/fonts/enc/dvips/ly1/texnansi.enc
/usr/share/texlive/texmf-dist/tex/latex/ly1/texnansi.sty
/usr/share/texlive/texmf-dist/tex/plain/ly1/texnansi.tex
$ rpm -q --provides -p ~/tl/texlive-ly1-svn21086.0-47.el7.noarch.rpm | grep texnansi
tex(texnansi.sty) = 2012
tex(texnansi.tex) = 2012
$ rpm -q --requires -p ~/tl/texlive-ly1-svn21086.0-47.el7.noarch.rpm | grep texnansi
tex(texnansi.enc)
$ 

Compare to the F25 version:

$ rpm -ql texlive-ly1 | grep texnansi
/usr/share/texlive/texmf-dist/fonts/enc/dvips/ly1/texnansi.enc
/usr/share/texlive/texmf-dist/tex/latex/ly1/texnansi.sty
/usr/share/texlive/texmf-dist/tex/plain/ly1/texnansi.tex
$ rpm -q --provides texlive-ly1 | grep texnansi
tex(texnansi.enc) = 2016
tex(texnansi.sty) = 2016
tex(texnansi.tex) = 2016
$ rpm -q --requires texlive-ly1 | grep texnansi
$ 

The requires in -mathdesign is correct:

$ rpm -q --requires -p ~/tl/texlive-mathdesign-svn24173.1.55-47.el7.noarch.rpm | grep texnansi
tex(texnansi.enc)
$
Comment 9 Ngo Than 2017-01-16 12:02:51 EST
it's fixed in 2012-48 which will be pushed to update-testing today.

scratch-build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17304093

Thanks for your feedbacks.
Comment 10 Fedora Update System 2017-01-16 12:35:24 EST
texlive-extension-2012-48.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6223b86d63
Comment 11 Fedora Update System 2017-01-17 15:47:46 EST
texlive-extension-2012-48.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6223b86d63
Comment 12 Fedora Update System 2017-01-18 07:21:30 EST
texlive-extension-2012-50.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6223b86d63
Comment 13 Fedora Update System 2017-01-19 15:50:31 EST
texlive-extension-2012-50.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6223b86d63
Comment 14 Fedora Update System 2017-02-03 14:18:03 EST
texlive-extension-2012-50.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.